bug-grep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH 1/2] tests: fix typo in last change


From: Jim Meyering
Subject: [PATCH 1/2] tests: fix typo in last change
Date: Sun, 20 Nov 2011 18:38:47 +0100

FYI.  And one more below...

>From 4cfdc71cc57ccf501e1ec97483576636615ce784 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sun, 20 Nov 2011 18:35:27 +0100
Subject: [PATCH 1/2] tests: fix typo in last change

* tests/word-delim-multibyte: Use double quotes around $e_acute,
not single quotes.  Spotted by Bruno Haible.
This and the preceding change do not resolve the XPASS failure
on OpenBSD 4.9 after all.  See the explanation at
http://thread.gmane.org/gmane.comp.gnu.grep.bugs/4022
---
 tests/word-delim-multibyte |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/tests/word-delim-multibyte b/tests/word-delim-multibyte
index a6411af..e0fa266 100755
--- a/tests/word-delim-multibyte
+++ b/tests/word-delim-multibyte
@@ -11,7 +11,7 @@ LC_ALL=en_US.UTF-8
 export LC_ALL

 fail=0
-grep '\<$e_acute' in > out 2>err || fail=1
+grep "\<$e_acute" in > out 2>err || fail=1

 compare out in || fail=1
 compare err /dev/null || fail=1
--
1.7.8.rc2.3.g0911


>From a46a6acf2f8c052c3fcf3baaa1932ef3335a96b9 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Sun, 20 Nov 2011 18:37:19 +0100
Subject: [PATCH 2/2] maint: remove an avoidable #ifdef/#endif pair

* src/dfa.c (dfaanalyze): Remove avoidable #ifdef around "{".
---
 src/dfa.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/src/dfa.c b/src/dfa.c
index 8db4aba..dc89a76 100644
--- a/src/dfa.c
+++ b/src/dfa.c
@@ -2122,9 +2122,7 @@ dfaanalyze (struct dfa *d, int searchflag)
   CALLOC(d->follows, d->tindex);

   for (i = 0; i < d->tindex; ++i)
-#ifdef DEBUG
-    {                          /* Nonsyntactic #ifdef goo... */
-#endif
+    {
     switch (d->tokens[i])
       {
       case EMPTY:
@@ -2249,8 +2247,8 @@ dfaanalyze (struct dfa *d, int searchflag)
           prtok(d->tokens[lastpos[j].index]);
         }
       putc('\n', stderr);
-    }
 #endif
+    }

   /* For each follow set that is the follow set of a real position, replace
      it with its epsilon closure. */
--
1.7.8.rc2.3.g0911



reply via email to

[Prev in Thread] Current Thread [Next in Thread]